commit:     120475050448c13b260a610d83cd51a55edc6d01
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 16 11:43:00 2021 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Wed Jun 16 11:43:15 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12047505

app-admin/rsyslog: bump to v8.2106.0

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 app-admin/rsyslog/Manifest                |   2 +
 app-admin/rsyslog/rsyslog-8.2106.0.ebuild | 483 ++++++++++++++++++++++++++++++
 2 files changed, 485 insertions(+)

diff --git a/app-admin/rsyslog/Manifest b/app-admin/rsyslog/Manifest
index b28ace3e4c6..a47191519f0 100644
--- a/app-admin/rsyslog/Manifest
+++ b/app-admin/rsyslog/Manifest
@@ -1,4 +1,6 @@
 DIST rsyslog-8.2102.0.tar.gz 3123684 BLAKE2B 
f5c4e00d68ec82ed3f7b89dd5e888bebda9c4eb38185dfd8ecd96c1bf77380385aaddac73ab1de8364e1239a3de746f160c18b0f135d006f473f9e40be2c18a1
 SHA512 
281b0e5d5cb548c39a6e514e5fd5b1bdbe8ca0bdd9234f4fea581ed7679f76d2d75b65d14c3c5e799f86f91600074ff75b467aa1ff27cdbec0f4197261c5aec0
 DIST rsyslog-8.2104.0.tar.gz 3175254 BLAKE2B 
ed772d4e460105b8406305574fdbe4aeca7ba57ba975b78f91d279460fee0faa767fcda3d2d8a4ba6d543bf9e920f9b7cf5ddf9e4d3ccfc9ae3b08c318a6c5b0
 SHA512 
15ded57f32259bb12b3378d10bc2d4d6eff39623f1195357dafa58e5c1154aedc0d60ff0746599707f380cf3bfc5ca955f15f1213572fa447cc333d479e0eefc
+DIST rsyslog-8.2106.0.tar.gz 3180745 BLAKE2B 
a949c36e0c5251fa3cd7748387990b667564561a5fcf0250bb19ebf62bf88f367814f86d743c64e0b5e5a184e2160ec0c2cd2600ac0ffc655e41d651495e9311
 SHA512 
309bba7e53f0dc6462f8cac781f567ce879f31bc020b233e80aa4461cc4c6e9279ca1c65c910ce3015fcab9ed663020db84ff4073c03a436b5be66e57a99164f
 DIST rsyslog-doc-8.2102.0.tar.gz 6419104 BLAKE2B 
134c7ccde6f7435b35840fa37f5774223ac1ebd7dc10db961900a7b1600483156518433c7f70d0981e96ea750e1916ab53e346abacf58066bf141e85c719ae00
 SHA512 
a5dc4fb9bd8892fac693c5692b926c8d7d9fa36667d6b4c6eccba750713af88d4317f6232efc2a16de38c2e58c4a8bc4d04c9ebb2e7ebc3b0878d53eef20dd2e
 DIST rsyslog-doc-8.2104.0.tar.gz 6451275 BLAKE2B 
cb8a38b28caec17babd190e463070b862071a75c4c63a7208e56f039f84ae7a5c6045112697c61635d328e56d9427f692e67a9d6fefc94b59ad28481210f1481
 SHA512 
6c898fa606190c5cf214822503f060b1692cd907731858736a395511b66d7b0d1cf6dfcc90c4cecbe21b099197ae2187db53d719f44f85f26a1bd34971539d36
+DIST rsyslog-doc-8.2106.0.tar.gz 6500747 BLAKE2B 
d004af40dfc82577fe262993b10497cbf50142295ccfc046126e0d8cc85dd964cca7798732d2f41ef9d776096b3ec99a8c835bb037a78c9030ea6cd596d1e057
 SHA512 
04c205ea463f7487baedf60d0469f3752edfb60a0833954a3f208d52ed6495152c785a4a8ea47396ac85b581ced0657f7b51d313c2d4295e26d547b996ff4ca3

diff --git a/app-admin/rsyslog/rsyslog-8.2106.0.ebuild 
b/app-admin/rsyslog/rsyslog-8.2106.0.ebuild
new file mode 100644
index 00000000000..c03f64233c7
--- /dev/null
+++ b/app-admin/rsyslog/rsyslog-8.2106.0.ebuild
@@ -0,0 +1,483 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+PYTHON_COMPAT=( python3_{7..10} )
+
+inherit autotools linux-info python-any-r1 systemd
+
+DESCRIPTION="An enhanced multi-threaded syslogd with database support and more"
+HOMEPAGE="https://www.rsyslog.com/";
+
+if [[ ${PV} == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/rsyslog/${PN}.git";
+
+       DOC_REPO_URI="https://github.com/rsyslog/${PN}-doc.git";
+
+       inherit git-r3
+else
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~x86"
+
+       SRC_URI="
+               https://www.rsyslog.com/files/download/${PN}/${P}.tar.gz
+               doc? ( 
https://www.rsyslog.com/files/download/${PN}/${PN}-doc-${PV}.tar.gz )
+       "
+fi
+
+LICENSE="GPL-3 LGPL-3 Apache-2.0"
+SLOT="0"
+
+IUSE="clickhouse curl dbi debug doc elasticsearch +gcrypt gnutls imhttp"
+IUSE+=" impcap jemalloc kafka kerberos kubernetes mdblookup"
+IUSE+=" mongodb mysql normalize omhttp omhttpfs omudpspoof +openssl"
+IUSE+=" postgres rabbitmq redis relp rfc3195 rfc5424hmac snmp +ssl"
+IUSE+=" systemd test usertools +uuid xxhash zeromq"
+
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="
+       kubernetes? ( normalize )
+       ssl? ( || ( gnutls openssl ) )
+"
+
+BDEPEND=">=sys-devel/autoconf-archive-2015.02.24
+       virtual/pkgconfig
+       elibc_musl? ( sys-libs/queue-standalone )
+       test? (
+               jemalloc? ( <sys-libs/libfaketime-0.9.7 )
+               !jemalloc? ( sys-libs/libfaketime )
+               ${PYTHON_DEPS}
+       )"
+
+RDEPEND="
+       >=dev-libs/libfastjson-0.99.8:=
+       >=dev-libs/libestr-0.1.9
+       >=sys-libs/zlib-1.2.5
+       curl? ( >=net-misc/curl-7.35.0 )
+       dbi? ( >=dev-db/libdbi-0.8.3 )
+       elasticsearch? ( >=net-misc/curl-7.35.0 )
+       gcrypt? ( >=dev-libs/libgcrypt-1.5.3:= )
+       imhttp? ( www-servers/civetweb )
+       impcap? ( net-libs/libpcap )
+       jemalloc? ( >=dev-libs/jemalloc-3.3.1:= )
+       kafka? ( >=dev-libs/librdkafka-0.9.0.99:= )
+       kerberos? ( virtual/krb5 )
+       kubernetes? ( >=net-misc/curl-7.35.0 )
+       mdblookup? ( dev-libs/libmaxminddb:= )
+       mongodb? ( >=dev-libs/mongo-c-driver-1.1.10:= )
+       mysql? ( dev-db/mysql-connector-c:= )
+       normalize? (
+               >=dev-libs/liblognorm-2.0.3:=
+       )
+       clickhouse? ( >=net-misc/curl-7.35.0 )
+       omhttpfs? ( >=net-misc/curl-7.35.0 )
+       omudpspoof? ( >=net-libs/libnet-1.1.6 )
+       postgres? ( >=dev-db/postgresql-8.4.20:= )
+       rabbitmq? ( >=net-libs/rabbitmq-c-0.3.0:= )
+       redis? ( >=dev-libs/hiredis-0.11.0:= )
+       relp? ( >=dev-libs/librelp-1.2.17:= )
+       rfc3195? ( >=dev-libs/liblogging-1.0.1:=[rfc3195] )
+       rfc5424hmac? (
+               >=dev-libs/openssl-0.9.8y:0=
+       )
+       snmp? ( >=net-analyzer/net-snmp-5.7.2 )
+       ssl? (
+               gnutls? ( >=net-libs/gnutls-2.12.23:0= )
+               openssl? (
+                       dev-libs/openssl:0=
+               )
+       )
+       systemd? ( >=sys-apps/systemd-234 )
+       uuid? ( sys-apps/util-linux:0= )
+       xxhash? ( dev-libs/xxhash:= )
+       zeromq? (
+               >=net-libs/czmq-4:=[drafts]
+       )"
+DEPEND="${RDEPEND}
+       test? (
+               >=dev-libs/liblogging-1.0.1[stdlog]
+       )"
+
+if [[ ${PV} == "9999" ]]; then
+       BDEPEND+=" doc? ( >=dev-python/sphinx-1.1.3-r7 )"
+       BDEPEND+=" >=sys-devel/flex-2.5.39-r1"
+       BDEPEND+=" >=sys-devel/bison-2.4.3"
+       BDEPEND+=" >=dev-python/docutils-0.12"
+fi
+
+CONFIG_CHECK="~INOTIFY_USER"
+WARNING_INOTIFY_USER="CONFIG_INOTIFY_USER isn't set. Imfile module on this 
system will only support polling mode!"
+
+pkg_setup() {
+       use test && python-any-r1_pkg_setup
+}
+
+src_unpack() {
+       if [[ ${PV} == "9999" ]]; then
+               git-r3_fetch
+               git-r3_checkout
+       else
+               unpack ${P}.tar.gz
+       fi
+
+       if use doc; then
+               if [[ ${PV} == "9999" ]]; then
+                       local _EGIT_BRANCH=
+                       if [[ -n "${EGIT_BRANCH}" ]]; then
+                               # Cannot use rsyslog commits/branches for 
documentation repository
+                               _EGIT_BRANCH=${EGIT_BRANCH}
+                               unset EGIT_BRANCH
+                       fi
+
+                       git-r3_fetch "${DOC_REPO_URI}"
+                       git-r3_checkout "${DOC_REPO_URI}" "${S}"/docs
+
+                       if [[ -n "${_EGIT_BRANCH}" ]]; then
+                               # Restore previous EGIT_BRANCH information
+                               EGIT_BRANCH=${_EGIT_BRANCH}
+                       fi
+               else
+                       cd "${S}" || die "Cannot change dir into '${S}'"
+                       mkdir docs || die "Failed to create docs directory"
+                       cd docs || die "Failed to change dir into '${S}/docs'"
+                       unpack ${PN}-doc-${PV}.tar.gz
+               fi
+       fi
+}
+
+src_prepare() {
+       default
+
+       # https://github.com/rsyslog/rsyslog/issues/3626
+       sed -i \
+               -e '\|^#!/bin/bash$|a exit 77' \
+               tests/mmkubernetes-cache-expir*.sh \
+               || die "Failed to disabled known test failure 
mmkubernetes-cache-expir*.sh"
+
+       eautoreconf
+}
+
+src_configure() {
+       # Maintainer notes:
+       # * Guardtime support is missing because libgt isn't yet available
+       #   in portage.
+       # * Hadoop's HDFS file system output module is currently not
+       #   supported in Gentoo because nobody is able to test it
+       #   (JAVA dependency).
+       # * dev-libs/hiredis doesn't provide pkg-config (see #504614,
+       #   upstream PR 129 and 136) so we need to export HIREDIS_*
+       #   variables because rsyslog's build system depends on pkg-config.
+
+       if use redis; then
+               export HIREDIS_LIBS="-L${EPREFIX}/usr/$(get_libdir) -lhiredis"
+               export HIREDIS_CFLAGS="-I${EPREFIX}/usr/include"
+       fi
+
+       local myeconfargs=(
+               --disable-debug-symbols
+               --disable-generate-man-pages
+               --without-valgrind-testbench
+               --disable-liblogging-stdlog
+               $(use_enable test testbench)
+               $(use_enable test libfaketime)
+               $(use_enable test extended-tests)
+               # Input Plugins without dependencies
+               --enable-imbatchreport
+               --enable-imdiag
+               --enable-imfile
+               --enable-improg
+               --enable-impstats
+               --enable-imptcp
+               # Message Modificiation Plugins without dependencies
+               --enable-mmanon
+               --enable-mmaudit
+               --enable-mmcount
+               --enable-mmfields
+               --enable-mmjsonparse
+               --enable-mmpstrucdata
+               --enable-mmrm1stspace
+               --enable-mmsequence
+               --enable-mmtaghostname
+               --enable-mmutf8fix
+               # Output Modification Plugins without dependencies
+               --enable-mail
+               --enable-omprog
+               --enable-omruleset
+               --enable-omstdout
+               --enable-omuxsock
+               # Misc
+               --enable-fmhash
+               --enable-fmunflatten
+               $(use_enable xxhash fmhash-xxhash)
+               --enable-pmaixforwardedfrom
+               --enable-pmciscoios
+               --enable-pmcisconames
+               --enable-pmdb2diag
+               --enable-pmlastmsg
+               $(use_enable normalize pmnormalize)
+               --enable-pmnull
+               --enable-pmpanngfw
+               --enable-pmsnare
+               # DB
+               $(use_enable dbi libdbi)
+               $(use_enable mongodb ommongodb)
+               $(use_enable mysql)
+               $(use_enable postgres pgsql)
+               $(use_enable redis imhiredis)
+               $(use_enable redis omhiredis)
+               # Debug
+               $(use_enable debug)
+               $(use_enable debug diagtools)
+               $(use_enable debug valgrind)
+               # Misc
+               $(use_enable clickhouse)
+               $(use_enable curl fmhttp)
+               $(use_enable elasticsearch)
+               $(use_enable gcrypt libgcrypt)
+               $(use_enable imhttp)
+               $(use_enable impcap)
+               $(use_enable jemalloc)
+               $(use_enable kafka imkafka)
+               $(use_enable kafka omkafka)
+               $(use_enable kerberos gssapi-krb5)
+               $(use_enable kubernetes mmkubernetes)
+               $(use_enable normalize mmnormalize)
+               $(use_enable mdblookup mmdblookup)
+               $(use_enable omhttp)
+               $(use_enable omhttpfs)
+               $(use_enable omudpspoof)
+               $(use_enable rabbitmq omrabbitmq)
+               $(use_enable relp)
+               $(use_enable rfc3195)
+               $(use_enable rfc5424hmac mmrfc5424addhmac)
+               $(use_enable snmp)
+               $(use_enable snmp mmsnmptrapd)
+               $(use_enable gnutls)
+               $(use_enable openssl)
+               $(use_enable systemd imjournal)
+               $(use_enable systemd omjournal)
+               $(use_enable usertools)
+               $(use_enable uuid)
+               $(use_enable zeromq imczmq)
+               $(use_enable zeromq omczmq)
+               --with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+       default
+
+       if use doc && [[ "${PV}" == "9999" ]]; then
+               einfo "Building documentation ..."
+               local doc_dir="${S}/docs"
+               cd "${doc_dir}" || die "Cannot chdir into \"${doc_dir}\"!"
+               sphinx-build -b html source build || die "Building 
documentation failed!"
+       fi
+}
+
+src_test() {
+       local _has_increased_ulimit=
+
+       # Sometimes tests aren't executable (i.e. when added via patch)
+       einfo "Adjusting permissions of test scripts ..."
+       find "${S}"/tests -type f -name '*.sh' \! -perm -111 -exec chmod a+x 
'{}' \; || \
+               die "Failed to adjust test scripts permission"
+
+       if ulimit -n 3072; then
+               _has_increased_ulimit="true"
+       fi
+
+       if ! emake --jobs 1 check; then
+               eerror "Test suite failed! :("
+
+               if [[ -z "${_has_increased_ulimit}" ]]; then
+                       eerror "Probably because open file limit couldn't be 
set to 3072."
+               fi
+
+               if has userpriv ${FEATURES}; then
+                       eerror "Please try to reproduce the test suite failure 
with FEATURES=-userpriv " \
+                               "before you submit a bug report."
+               fi
+
+       fi
+}
+
+src_install() {
+       local DOCS=(
+               AUTHORS
+               ChangeLog
+               "${FILESDIR}"/README.gentoo
+       )
+
+       use doc && local HTML_DOCS=( "${S}/docs/build/." )
+
+       default
+
+       newconfd "${FILESDIR}/${PN}.confd-r1" ${PN}
+       newinitd "${FILESDIR}/${PN}.initd-r1" ${PN}
+
+       systemd_newunit "${FILESDIR}/${PN}.service" ${PN}.service
+
+       keepdir /var/empty/dev
+       keepdir /var/spool/${PN}
+       keepdir /etc/ssl/${PN}
+       keepdir /etc/${PN}.d
+
+       insinto /etc
+       newins "${FILESDIR}/${PN}.conf" ${PN}.conf
+
+       insinto /etc/rsyslog.d/
+       newins "${FILESDIR}/50-default-r1.conf" 50-default.conf
+
+       insinto /etc/logrotate.d/
+       newins "${FILESDIR}/${PN}-r1.logrotate" ${PN}
+
+       if use mysql; then
+               insinto /usr/share/${PN}/scripts/mysql
+               doins plugins/ommysql/createDB.sql
+       fi
+
+       if use postgres; then
+               insinto /usr/share/${PN}/scripts/pgsql
+               doins plugins/ompgsql/createDB.sql
+       fi
+
+       find "${ED}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       local advertise_readme=0
+
+       if [[ -z "${REPLACING_VERSIONS}" ]]; then
+               # This is a new installation
+
+               advertise_readme=1
+
+               if use mysql || use postgres; then
+                       echo
+                       elog "Sample SQL scripts for MySQL & PostgreSQL have 
been installed to:"
+                       elog "  /usr/share/doc/${PF}/scripts"
+               fi
+
+               if use ssl; then
+                       echo
+                       elog "To create a default CA and certificates for your 
server and clients, run:"
+                       elog "  emerge --config =${PF}"
+                       elog "on your logging server. You can run it several 
times,"
+                       elog "once for each logging client. The client 
certificates will be signed"
+                       elog "using the CA certificate generated during the 
first run."
+               fi
+       fi
+
+       if [[ ${advertise_readme} -gt 0 ]]; then
+               # We need to show the README file location
+
+               echo ""
+               elog "Please read"
+               elog ""
+               elog "  ${EPREFIX}/usr/share/doc/${PF}/README.gentoo*"
+               elog ""
+               elog "for more details."
+       fi
+}
+
+pkg_config() {
+       if ! use ssl; then
+               einfo "There is nothing to configure for rsyslog unless you"
+               einfo "used USE=ssl to build it."
+               return 0
+       fi
+
+       if ! hash certtool &>/dev/null; then
+               die "certtool not found! Is net-libs/gnutls[tools] is 
installed?"
+       fi
+
+       # Make sure the certificates directory exists
+       local CERTDIR="${EROOT}/etc/ssl/${PN}"
+       if [[ ! -d "${CERTDIR}" ]]; then
+               mkdir "${CERTDIR}" || die
+       fi
+       einfo "Your certificates will be stored in ${CERTDIR}"
+
+       # Create a default CA if needed
+       if [[ ! -f "${CERTDIR}/${PN}_ca.cert.pem" ]]; then
+               einfo "No CA key and certificate found in ${CERTDIR}, creating 
them for you..."
+               certtool --generate-privkey \
+                       --outfile "${CERTDIR}/${PN}_ca.privkey.pem" || die
+               chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"
+
+               cat > "${T}/${PF}.$$" <<- _EOF
+               cn = Portage automated CA
+               ca
+               cert_signing_key
+               expiration_days = 3650
+               _EOF
+
+               certtool --generate-self-signed \
+                       --load-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
+                       --outfile "${CERTDIR}/${PN}_ca.cert.pem" \
+                       --template "${T}/${PF}.$$" || die
+               chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"
+
+               # Create the server certificate
+               echo
+               einfon "Please type the Common Name of the SERVER you wish to 
create a certificate for: "
+               read -r CN
+
+               einfo "Creating private key and certificate for server ${CN}..."
+               certtool --generate-privkey \
+                       --outfile "${CERTDIR}/${PN}_${CN}.key.pem" || die
+               chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"
+
+               cat > "${T}/${PF}.$$" <<- _EOF
+               cn = ${CN}
+               tls_www_server
+               dns_name = ${CN}
+               expiration_days = 3650
+               _EOF
+
+               certtool --generate-certificate \
+                       --outfile "${CERTDIR}/${PN}_${CN}.cert.pem" \
+                       --load-privkey "${CERTDIR}/${PN}_${CN}.key.pem" \
+                       --load-ca-certificate "${CERTDIR}/${PN}_ca.cert.pem" \
+                       --load-ca-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
+                       --template "${T}/${PF}.$$" &>/dev/null
+               chmod 400 "${CERTDIR}/${PN}_${CN}.cert.pem"
+
+       else
+               einfo "Found existing ${CERTDIR}/${PN}_ca.cert.pem, skipping CA 
and SERVER creation."
+       fi
+
+       # Create a client certificate
+       echo
+       einfon "Please type the Common Name of the CLIENT you wish to create a 
certificate for: "
+       read -r CN
+
+       einfo "Creating private key and certificate for client ${CN}..."
+       certtool --generate-privkey \
+               --outfile "${CERTDIR}/${PN}_${CN}.key.pem" || die
+       chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"
+
+       cat > "${T}/${PF}.$$" <<- _EOF
+       cn = ${CN}
+       tls_www_client
+       dns_name = ${CN}
+       expiration_days = 3650
+       _EOF
+
+       certtool --generate-certificate \
+               --outfile "${CERTDIR}/${PN}_${CN}.cert.pem" \
+               --load-privkey "${CERTDIR}/${PN}_${CN}.key.pem" \
+               --load-ca-certificate "${CERTDIR}/${PN}_ca.cert.pem" \
+               --load-ca-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
+               --template "${T}/${PF}.$$" || die
+       chmod 400 "${CERTDIR}/${PN}_${CN}.cert.pem"
+
+       rm -f "${T}/${PF}.$$"
+
+       echo
+       einfo "Here is the documentation on how to encrypt your log traffic:"
+       einfo " https://www.rsyslog.com/doc/rsyslog_tls.html";
+}

Reply via email to